Subject: Bug#1272: nxagent crashes on Ubuntu 16.04, making x2go server unusable

From: Maciej Puzio <[email-masked]>
Date: Thu, 15 Mar 2018 16:47:44 -0500

Good news! We have an upstream bug:
https://github.com/ArcticaProject/nx-libs/issues/677

It appears that Arctica issue is exactly what I have been experiencing.

I use KDE on two screens with different resolutions (1920x1200 and 1600x1200). X2goclient session uses only one of these displays, but the mere presence of two monitors on the client causes nxagent to crash on the server. I tested another client machine with one screen, and everything worked fine (i.e. I was able to open the session, and nxagent did not segfault). It does not matter whether I move the x2go session window, maximize it, and so on. All that matters is number of displays on the client and their relative size. (I did not test with two screens of equal size.)

As the upstream bug suggested, I installed the x2go nightly packages, as explained here:
https://wiki.x2go.org/doku.php/wiki:development:nightly-builds
After that, the problem went away and dual-screen setup worked fine. So I guess the bug is fixed in nightly builds.

As a side note, the number of bugs that show up in various Linux packages when using dual monitors has recently been so astounding that I am ready to give up and replace my setup with a larger single screen. Still, I can't force all my users to do so.